<?php
//
$SYS_FOC="Ruc";
//+++++
$Ruc=VU($_POST['Ruc']);
$Nom=VU($_POST['Nom']);
$Ret=VU($_POST['Ret']);
//++
$LIMPIAR=0;
//--------------------------------------------------------------------------
PID($StrId,V($_GET['Id']),$StrCmd,$LStrPag,V($_GET['Pag']));
//--------------------------------------------------------------------------
if(strlen($StrId)>0 && $StrCmd=="AR"){
	$Id=$StrId;
	$r=gr("ges_xml_empresas","id=$Id");
	$Ruc=$r['emp_ruc'];
	$Nom=$r['emp_nom'];
	$Ret=$r['emp_age'];
}
//
if($StrCmd=="L"){
	$LIMPIAR=1;
}	
//
if($StrCmd=="G" || $StrCmd=="M"){
//
}
//
if($StrCmd=="G"){	
	if(strlen($Nom)>0){
		if(gn("count(*)","ges_xml_empresas","emp_nom='$NomCom'")>0){
			$SYS_MSG="Nombre ya registrado";
			$SYS_FOC="Nom";
			$OK=0;
		}
	}	
	if($OK==1){
		if(strlen($Ruc)>0){
			if(gn("count(*)","ges_xml_empresas","emp_ruc='$Ruc'")>0){
				$SYS_MSG="Numero de ruc ya registrado";
				$SYS_FOC="Ruc";
				$OK=0;
			}
		}
	}
	if($OK==1){
		//$Id=GenId("id","ges_xml_empresas");
		$s="INSERT INTO ges_xml_empresas (emp_ruc,emp_nom,emp_obs,emp_age)
			VALUES ('$Ruc','$Nom','','$Ret')";
		ejt($s);	
		//echo $s."<br>";	
		//BIT+++++++++++++++++
		$_BIT_MOD_ID=$Id;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="ges_xml_empresas.php";
		$_BIT_ID=BIT_ADD("MANTENIMIENTO","XML EMPRESAS","GUARDAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT			
		$SYS_MSG="Datos registrados";
		$LIMPIAR=1;
	}
}
//++
if($StrCmd=="M"){
	if(strlen($Nom)>0){
		if(gn("count(*)","ges_xml_empresas","emp_nom='$NomCom' AND id<>$StrId")>0){
			$SYS_MSG="Nombre ya registrado";
			$SYS_FOC="Nom";
			$OK=0;
		}
	}	
	if($OK==1){
		if(strlen($Ruc)>0){
			if(gn("count(*)","ges_xml_empresas","emp_ruc='$Ruc' AND id<>$StrId")>0){
				$SYS_MSG="Numero de ruc ya registrado";
				$SYS_FOC="Ruc";
				$OK=0;
			}
		}
	}
	if($OK==1){
		$s="UPDATE ges_xml_empresas 
			SET
			emp_ruc='$Ruc',
			emp_nom='$Nom',
			emp_age='$Ret' WHERE id=$StrId";
		ejt($s);		
		//BIT
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="ges_xml_empresas.php";
		$_BIT_ID=BIT_ADD("MANTENIMIENTO","XML EMPRESAS","MODIFICAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT				
		$SYS_MSG="Datos registrados";
		$LIMPIAR=1;
	}
}
//
if($StrCmd=="E"){
	if($OK==1){	
		$s="DELETE FROM ges_xml_empresas WHERE id=$StrId";
		ejt($s);
		//BIT
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="ges_xml_empresas.php";
		$_BIT_ID=BIT_ADD("MANTENIMIENTO","XML EMPRESAS","ELIMINAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT		
		$SYS_MSG="Datos eliminados";
		$LIMPIAR=1;	
	}
}
//
if($LIMPIAR==1){
	$StrId="";
	$Ruc="";
	$Nom="";
	$Ret="";
}
?>
